Offramp
Get status
This endpoint allows you to get the status of an offramp.
GET
/
status
/
offramp
Get status
curl --request GET \
--url https://processor-prod.up.railway.app/status/offramp \
--header 'x-service-key: <api-key>'import requests
url = "https://processor-prod.up.railway.app/status/offramp"
headers = {"x-service-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-service-key': '<api-key>'}};
fetch('https://processor-prod.up.railway.app/status/offramp', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"status": 200,
"message": "Offramp status fetched successfully",
"timestamp": "2025-09-11T21:29:42.416Z",
"data": {
"id": "68c1b920196a18d7bd1998d6",
"reference": "rk7fimzmx3r5uvsjwpdx70uz4tjhmeoc",
"address": "0x0000000000000000000000000000000000000000",
"blockchain": {
"id": 8453,
"icon": "https://i.imgur.com/zvJz8OR.png",
"name": "Base",
"code": "Base"
},
"token": {
"id": "base:usdc",
"icon": "https://i.imgur.com/ilNGZVh.png",
"name": "USD Coin",
"code": "USDC"
},
"currency": {
"icon": "https://i.imgur.com/RhBMnVC.png",
"name": "Nigerian Naira",
"code": "NGN"
},
"recipient": {
"account_name": "John Doe",
"account_number": "0123456789",
"bank_name": "Opay"
},
"from_amount": 0.997598,
"to_amount": "738",
"rate": 1522,
"fee": 0.996600402,
"time_to_arrive": 60,
"status": "completed"
}
}Authorizations
Query Parameters
The wallet ID to get offramp status for
Example:
"68bc290df51feea8c53f5275"
The reference of the offramp transaction
Example:
"rk7fimzmx3r5uvsjwpdx70uz4tjhmeoc"
Previous
Get notificationsThis endpoint allows you to retrieve notifications by type for a wallet.
Next
⌘I
Get status
